Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Unknown_IDL_Type Class Reference

CDR-based Any impl class. More...

`#include <Any_Unknown_IDL_Type.h>`

Inheritance diagram for TAO::Unknown_IDL_Type:

[legend]
Collaboration diagram for TAO::Unknown_IDL_Type:

[legend]
List of all members.

## Public Methods
| Unknown_IDL_Type (CORBA::TypeCode_ptr, const ACE_Message_Block *mb=0, int byte_order=TAO_ENCAP_BYTE_ORDER, ACE_Char_Codeset_Translator *ctrans=0, ACE_WChar_Codeset_Translator *wtrans=0)
virtual | ~Unknown_IDL_Type (void)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
virtual const void * | value (void) const
virtual void | free_value (void)
virtual ACE_Message_Block * | _tao_get_cdr (void) const
virtual int | _tao_byte_order (void) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual void | assign_translator (CORBA::TypeCode_ptr, TAO_InputCDR *ACE_ENV_ARG_DECL)
virtual CORBA::Boolean | to_object (CORBA::Object_ptr &) const
virtual CORBA::Boolean | to_value (CORBA::ValueBase *&) const
virtual CORBA::Boolean | to_abstract_base (CORBA::AbstractBase_ptr &) const
## Private Attributes
ACE_Message_Block * | cdr_
int | byte_order_
ACE_Char_Codeset_Translator * | char_translator_
ACE_WChar_Codeset_Translator * | wchar_translator_

## Detailed Description

CDR-based Any impl class.

Used when demarshaling an Any, and with DII/DSI, and Dynamic Anys.

## Constructor & Destructor Documentation

TAO::Unknown_IDL_Type::Unknown_IDL_Type | ( | CORBA::TypeCode_ptr | ,
|  | const ACE_Message_Block * | mb = 0,
|  | int | byte_order = TAO_ENCAP_BYTE_ORDER,
|  | ACE_Char_Codeset_Translator * | ctrans = 0,
|  | ACE_WChar_Codeset_Translator * | wtrans = 0
| ) |

TAO::Unknown_IDL_Type::~Unknown_IDL_Type | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO::Unknown_IDL_Type::_tao_byte_order | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

virtual void TAO::Unknown_IDL_Type::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

ACE_Message_Block * TAO::Unknown_IDL_Type::_tao_get_cdr | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

virtual void TAO::Unknown_IDL_Type::assign_translator | ( | CORBA::TypeCode_ptr | ,
|  | TAO_InputCDR * | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

void TAO::Unknown_IDL_Type::free_value | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

CORBA::Boolean TAO::Unknown_IDL_Type::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

CORBA::Boolean TAO::Unknown_IDL_Type::to_abstract_base | ( | CORBA::AbstractBase_ptr & |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

CORBA::Boolean TAO::Unknown_IDL_Type::to_object | ( | CORBA::Object_ptr & |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

CORBA::Boolean TAO::Unknown_IDL_Type::to_value | ( | CORBA::ValueBase *& |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

const void * TAO::Unknown_IDL_Type::value | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

## Member Data Documentation

int TAO::Unknown_IDL_Type::byte_order_`[private]`

ACE_Message_Block* TAO::Unknown_IDL_Type::cdr_`[private]`

ACE_Char_Codeset_Translator* TAO::Unknown_IDL_Type::char_translator_`[private]`

ACE_WChar_Codeset_Translator* TAO::Unknown_IDL_Type::wchar_translator_`[private]`

The documentation for this class was generated from the following files:

- Any_Unknown_IDL_Type.h
- Any_Unknown_IDL_Type.cpp